# SonOff module based on Mongoose-OS and using MQTT to integrate to some home automation

## Overview

- Do not configure WiFi - leave the module in AP (Access Point mode).
- Mongoose OS starts a WiFi network called `SONOFF_XXXXXX` with password
- if STA is configured and gets access, the AP is disabled ~120 seconds after boot `Sonoff`. Switch your workstation to that WiFi network

## Setup via Web and in AP-mode

- Point your browser to [http://192.168.4.1]http://192.168.4.1
- You'll see a simple form to configure WiFi network & password and some sonoff parameters
- Integration into your home automation system based on MQTT, please configure
  - MQTT host with port
  - MQTT Client ID
  - MQTT Password
  - MQTT topic to send current switch status changes (published)
  - MQTT topic to subscribe to receive commands

  ![Screenshot](shot.png)

## How to build and install this app

- Install and start [mos tool](https://mongoose-os.com/software.html)
- Switch to the Project page, find and import this app, build and flash it:

<p align="center">
  <img src="https://mongoose-os.com/images/app1.gif" width="75%">
</p>