// Author: Dirk Jahnke
// January 24, 2018
//
// Manage on board LED of SONOFF device
//
#ifndef ledHandler_h_included
#define ledHandler_h_included

enum LEDStatus {
    LED_OFF = 0, // permanently off
    LED_ON = 1, // permanently on
    LED_BLINK_SLOW = 2, // on 0,5x / second (1s on, 1s off)
    LED_BLINK_FAST = 3 // on 2x / second (250ms on, 250ms off)
};

extern void set_led_status(enum LEDStatus newStatus);
extern void init_led_handler();

#endif